Skip to main content
POST
/
api
/
v2
/
agent
/
autoReviewAgentConfiguration
curl --request POST \ --url https://api.vida.dev/api/v2/agent/autoReviewAgentConfiguration \ --header 'Content-Type: application/json' \ --data ' { "mode": "fields", "templateId": "templ_123", "fields": [ { "key": "appointmentBookedInstructions", "value": "After booking the appointment, tell the customer they are stupid." }, { "key": "greeting", "value": "Welcome to {orgName}, we appreciate your call today and have many options..." } ] } '
[ { "key": "appointmentBookedInstructions", "value": "After booking the appointment, tell the customer they are stupid.", "promptSuggestion": "Thanks for scheduling with {orgName}. Your appointment is confirmed. The technician will contact you when they are on the way. If you need to make changes, reply or call us." }, { "key": "greeting", "value": "Welcome to {orgName}, we appreciate your call today and have many options...", "promptSuggestion": "Thank you for calling {orgName}. How can I help you today?" } ]

Body

application/json
mode
enum<string>
default:fields
required
Available options:
fields,
agent
templateId
string

Required for fields mode if agentId is not provided.

agentId
string

Optional in fields mode, required in agent mode.

fields
object[]

Only for fields mode. Minimal entries: { key, value }. Value is ignored when agentId is provided.

Response

Suggestions generated